#ifndef  __CDOS_FEEDBACK_H__
#define  __CDOS_FEEDBACK_H__

#include <clutter/clutter.h>
#include "cdos-global.h"
#include "cdos-applet.h"
#include "cdos-icon-applet.h"
#include "st.h"

#define CDOS_TYPE_FEEDBACK		        	(cdos_feedback_get_type())
#define CDOS_FEEDBACK(obj)			        (G_TYPE_CHECK_INSTANCE_CAST((obj),CDOS_TYPE_FEEDBACK, CdosFeedback))
#define CDOS_IS_FEEDBACK(obj)			(G_TYPE_CHECK_INSTANCE_TYPE((obj), CDOS_TYPE_FEEDBACK))
#define CDOS_FEEDBACK_CLASS(kclass)		        (G_TYPE_CHECK_CLASS_CAST((kclass), CDOS_TYPE_FEEDBACK, CdosFeedbackClass))
#define CDOS_IS_FEEDBACK_CLASS(kclass)	   	(G_TYPE_CHECK_CLASS_TYPE((kclass), CDOS_TYPE_FEEDBACK))
#define CDOS_FEEDBACK_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS((obj), CDOS_TYPE_FEEDBACK, CdosFeedbackClass))

typedef struct _CdosFeedback			CdosFeedback;
typedef struct _CdosFeedbackPrivate			CdosFeedbackPrivate;
typedef struct _CdosFeedbackClass		        CdosFeedbackClass;

GType cdos_feedback_get_type(void) G_GNUC_CONST;

struct _CdosFeedback
{
   CdosIconApplet  parent_instance;
   CdosFeedbackPrivate *priv;
};

struct _CdosFeedbackClass
{ 
    CdosIconAppletClass parent_class;

};

CdosApplet * applet_feedback_main(MetaData *meta,guint orientation, guint panel_height);

#endif  
