#ifndef __APPLET_GROUP_H__
#define __APPLET_GROUP_H__

#include <st.h>

#include "cdos-icon-applet.h"

GType applet_group_get_type (void);

#define APPLET_TYPE_GROUP                     (applet_group_get_type())
#define APPLET_GROUP(obj)                     (G_TYPE_CHECK_INSTANCE_CAST((obj),APPLET_TYPE_GROUP,AppletGroup))
#define APPLET_IS_GROUP(obj)                  (G_TYPE_CHECK_INSTANCE_TYPE((obj),APPLET_TYPE_GROUP))
#define APPLET_GROUP_CLASS(kclass)            (G_TYPE_CHECK_CLASS_CAST((kclass),APPLET_TYPE_GROUP,AppletGroupClass))
#define APPLET_IS_GROUP_CLASS(kclass)         (G_TYPE_CHECK_CLASS_TYPE((kclass),APPLET_TYPE_GROUP))
#define APPLET_GROUP_GET_CLASS(obj)           (G_TYPE_INSTANCE_GET_CLASS((obj),APPLET_TYPE_GROUP,AppletGroupClass))

typedef struct _AppletGroup                   AppletGroup;
typedef struct _AppletGroupPrivate            AppletGroupPrivate;
typedef struct _AppletGroupClass              AppletGroupClass;

struct _AppletGroup
{
    CdosIconApplet parent_instance;
    AppletGroupPrivate *priv;
};

struct _AppletGroupClass
{
    CdosIconAppletClass parent_class;
};

void applet_group_add_applet (AppletGroup *self, CdosApplet *applet);
void applet_group_remove_all_applets (AppletGroup *self);

AppletGroup *applet_group_main (MetaData *metadata, guint orientation, gfloat panel_height);


#endif
