/** 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 *  
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 **/
//
// Created by zhangtao on 18-1-25.
// Email: zhangtao@cpu-os.ac.cn
//

#ifndef __APPLET_FAVORITES_MANAGER_H__
#define __APPLET_FAVORITES_MANAGER_H__

#include <glib-object.h>
#include "st.h"

#define APPLET_TYPE_FAVORITES_MANAGER (applet_favorites_manager_get_type())
#define APPLET_FAVORITES_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj),APPLET_TYPE_FAVORITES_MANAGER,AppletFavoritesManager))
#define APPLET_IS_FAVORITES_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj),APPLET_TYPE_FAVORITES_MANAGER))
#define APPLET_FAVORITES_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),APPLET_TYPE_FAVORITES_MANAGER,AppletFavoritesManagerClass))
#define APPLET_IS_FAVORITES_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((obj),APPLET_TYPE_FAVORITES_MANAGER))
#define APPLET_FAVORITES_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj),CDOS_TYPE_FAVORITES_MANAGER,AppletFavoritesManagerClass))

typedef struct _AppletFavoritesManager AppletFavoritesManager;
typedef struct _AppletFavoritesManagerPrivate AppletFavoritesManagerPrivate;
typedef struct _AppletFavoritesManagerClass AppletFavoritesManagerClass;

struct _AppletFavoritesManager
{
    GObject parent;
    AppletFavoritesManagerPrivate *priv;
};
struct _AppletFavoritesManagerClass
{
    GObjectClass parent_class;
};

GType	applet_favorites_manager_get_type (void);
AppletFavoritesManager* applet_favorites_manager_new (void);
StBoxLayout *
applet_favorites_manager_get_box (AppletFavoritesManager *self);
void
applet_favorites_manager_start_key_focus (AppletFavoritesManager *self);

#endif //__APPLET_FAVORITES_MANAGER_H__
