/** 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 *  
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 **/
//
// Created by zhangtao on 18-1-23.
// Email: zhangtao@cpu-os.ac.cn
//

#ifndef __APPLET_MENU_HELPER_H__
#define __APPLET_MENU_HELPER_H__

#include <meta/meta-cursor-tracker.h>
#include "st.h"

void applet_menu_set_display_cursor (MetaCursor cursor);

//property list :"expand"(type:gboolean), "x-fill"(type:gboolean), "y-fill"(type:gboolean), "x-align"(type:StAlign), "y-align"(type:StAlign);
void 
menu_container_add_actor (ClutterActor *container, 
                          ClutterActor *actor,
                          const gchar *first_property_name, 
                          ...);

void 
menu_container_add_actor_at_index (ClutterActor *container, 
                                   ClutterActor *actor, 
                                   gint index, 
                                   const gchar *first_property_name, 
                                   ...);

void 
menu_container_set_layout_child (ClutterContainer *container, 
                          ClutterActor *actor,
                          const gchar *first_property_name, 
                          ...);
gchar *
applet_helper_get_xdg_desktop_dir (void);
void
applet_helper_add_focus_group (StWidget *actor);
void 
applet_helper_scroll_to_focused_actor (StScrollView  *scroll_view);
void 
applet_helper_scroll_by_handle (StScrollView  *scroll_view, gfloat handle_y, gfloat hotarea_y);
#endif //__APPLET_MENU_HELPER_H__
