/** 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 *  
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 **/
//
// Created by zhangtao on 18-1-18.
// Email: zhangtao@cpu-os.ac.cn
//

#ifndef __APPLET_MENU_SEARCH_H__
#define __APPLET_MENU_SEARCH_H__

#include <glib.h>
#include <glib-object.h>
#include "st.h"

#define APPLET_TYPE_MENU_SEARCH (applet_menu_search_get_type())
#define APPLET_MENU_SEARCH(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj),APPLET_TYPE_MENU_SEARCH,AppletMenuSearch))
#define APPLET_IS_MENU_SEARCH(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj),APPLET_TYPE_MENU_SEARCH))
#define APPLET_MENU_SEARCH_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),APPLET_TYPE_MENU_SEARCH,AppletMenuSearchClass))
#define APPLET_IS_MENU_SEARCH_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((obj),APPLET_TYPE_MENU_SEARCH))
#define APPLET_MENU_SEARCH_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj),CDOS_TYPE_MENU_SEARCH,AppletMenuSearchClass))

typedef struct _AppletMenuSearch AppletMenuSearch;
typedef struct _AppletMenuSearchPrivate AppletMenuSearchPrivate;
typedef struct _AppletMenuSearchClass AppletMenuSearchClass;

struct _AppletMenuSearch
{
    GObject parent;
    AppletMenuSearchPrivate *priv;
};
struct _AppletMenuSearchClass
{
    GObjectClass parent_class;
};

GType	applet_menu_search_get_type (void);
AppletMenuSearch* 
applet_menu_search_new (void);
StEntry * 
applet_menu_search_get_entry (AppletMenuSearch *self);

StWidget *
applet_menu_search_get_results_box (AppletMenuSearch *self);
void
applet_menu_search_cancel_search (AppletMenuSearch *self);
void
applet_menu_search_start_key_focus (AppletMenuSearch *self);

#endif //__APPLET_MENU_SEARCH_H__
