/** 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 *  
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 **/
//
// Created by zhangtao on 18-1-18.
// Email: zhangtao@cpu-os.ac.cn
//

#ifndef __APPLET_MENU_TYPES_H__
#define __APPLET_MENU_TYPES_H__

typedef enum {
	BUTTON_LAYOUT_H,
	BUTTON_LAYOUT_V,
} AppletButtonLayoutMode;

typedef enum {
	MENU_APP_ADDED,
	MENU_APP_REMOVED,
	MENU_APP_MOVED,
} MenuAppChanged;

typedef enum {
	MOVE_BEFORE,
	MOVE_AFTER,
	INSERT_HEAD,
	INSERT_END
} MoveMode;

typedef enum {
    MENU_PANE_APPS,
    MENU_PANE_FAVORITES,
    MENU_PANE_SEARCH
} MenuPane;

typedef enum {
    APPLICATIONS_GROUP_BY_LETTER = 1,
    APPLICATIONS_GROUP_BY_CATEGORY
} ApplicationsGroupType;

#endif //__APPLET_TYPES_H__
