#ifndef __APPLET_NM_WIRED_SECTION_TITLE_MENU_ITEM_H__
#define __APPLET_NM_WIRED_SECTION_TITLE_MENU_ITEM_H__

#include "cdos-global.h"
#include <clutter/clutter.h>
#include "st.h"
#include "cdos-popup-switch-menu-item.h"
#include "applet-nm-device.h"


GType applet_nm_wired_section_title_menu_item_get_type (void);

#define APPLET_TYPE_NM_WIRED_SECTION_TITLE_MENU_ITEM		(applet_nm_wired_section_title_menu_item_get_type ())
#define APPLET_NM_WIRED_SECTION_TITLE_MENU_ITEM(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_NM_WIRED_SECTION_TITLE_MENU_ITEM, AppletNMWiredSectionTitleMenuItem))
#define APPLET_IS_NM_WIRED_SECTION_TITLE_MENU_ITEM(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_NM_WIRED_SECTION_TITLE_MENU_ITEM))
#define APPLET_NM_WIRED_SECTION_TITLE_MENU_ITEM_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_NM_WIRED_SECTION_TITLE_MENU_ITEM, AppletNMWiredSectionTitleMenuItemClass))
#define APPLET_IS_NM_WIRED_SECTION_TITLE_MENU_ITEM_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), APPLET_TYPE_NM_WIRED_SECTION_TITLE_MENU_ITEM))
#define APPLET_NM_WIRED_SECTION_TITLE_MENU_ITEM_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_NM_WIRED_SECTION_TITLE_MENU_ITEM, AppletNMWiredSectionTitleMenuItemClass))

typedef struct _AppletNMWiredSectionTitleMenuItem AppletNMWiredSectionTitleMenuItem;
typedef struct _AppletNMWiredSectionTitleMenuItemClass AppletNMWiredSectionTitleMenuItemClass;

struct _AppletNMWiredSectionTitleMenuItem
{
    CdosPopupSwitchMenuItem parent_instance;
    GList *devices;
};


struct _AppletNMWiredSectionTitleMenuItemClass
{
    CdosPopupSwitchMenuItemClass parent_class;
    void (*update_for_device) (AppletNMWiredSectionTitleMenuItem *item, AppletNMDevice *device);
};

AppletNMWiredSectionTitleMenuItem *applet_nm_wired_section_title_menu_item_new (const char *label);

void applet_nm_wired_section_title_menu_item_update_for_device (CdosPopupSwitchMenuItem *self, GList *devices);

#endif
