/** 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 *  
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 **/
#ifndef __APPLET_PLAYER_H__
#define __APPLET_PLAYER_H__

#include "st.h"

#define APPLET_TYPE_PLAYER        (applet_player_get_type ())

G_DECLARE_FINAL_TYPE (AppletPlayer, applet_player, APPLET, PLAYER, StWidget)

AppletPlayer *applet_player_new (void);

const gchar *applet_player_get_name (AppletPlayer *player);

typedef void (*APlayerReadyCallback) (AppletPlayer *player, gpointer user_data);

void applet_mpris2_listen (APlayerReadyCallback callback, gpointer user_data);

void applet_mpris2_unlisten (void);

#endif // __APPLET_PLAYER_H__
