#ifndef  __APPLET_SCALE_H__
#define  __APPLET_SCALE_H__

#include <clutter/clutter.h>
#include "cdos-applet.h"

GType applet_scale_get_type (void);

#define APPLET_TYPE_SCALE                	              (applet_scale_get_type())
#define APPLET_SCALE(obj)                     	      (G_TYPE_CHECK_INSTANCE_CAST((obj), APPLET_TYPE_SCALE, AppletScale))
#define APPLET_IS_SCALE(obj)               	      (G_TYPE_CHECK_INSTANCE_TYPE((obj), APPLET_TYPE_SCALE))
#define APPLET_SCALE_CLASS(kclass)               	      (G_TYPE_CHECK_CLASS_CAST((kclass), APPLET_TYPE_SCALE, AppletScaleClass))
#define APPLET_IS_SCALE_CLASS(kclass)    	     	      (G_TYPE_CHECK_CLASS_TYPE((kclass), APPLET_TYPE_SCALE))
#define APPLET_SCALE_GET_CLASS(obj)             	      (G_TYPE_INSTANCE_GET_CLASS((obj), APPLET_TYPE_SCALE, AppletScaleClass))

typedef struct _AppletScale                           AppletScale;
typedef struct _AppletScalePrivate                    AppletScalePrivate;
typedef struct _AppletScaleClass                 AppletScaleClass;


struct _AppletScale
{
   CdosIconApplet  parent_instance;

   AppletScalePrivate *priv;
};

struct _AppletScaleClass
{
    CdosIconAppletClass parent_class;
};

//void on_entered (AppletScale *self, ClutterEvent *event)
//AppletScale * applet_scale_main (MetaData *meta, guint orientation, gfloat panel_height, gchar *instance_id);

AppletScale * applet_scale_new (MetaData *metadata, guint orientation, gfloat panel_height, gchar *instance_id);


#endif
