// Created by zhangtao on 16-4-16.

#ifndef __APPLET_APP_BUTTON_H__
#define __APPLET_APP_BUTTON_H__
#include <glib-object.h>
#include <clutter/clutter.h>
#include "applet-icon-label-button.h"
#include "cdos-app.h"
#include "st.h"

#define APPLET_TYPE_APP_BUTTON (applet_app_button_get_type ())
#define APPLET_APP_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_APP_BUTTON, AppletAppButton))
#define APPLET_IS_APP_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_APP_BUTTON))
#define APPLET_APP_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_APP_BUTTON, AppletAppButtonClass))
#define APPLET_IS_APP_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_APP_BUTTON))
#define APPLET_APP_BUTTON_GET_CLASS(obj)                                                                               \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_APP_BUTTON, AppletAppButtonClass))

typedef struct _AppletAppButton AppletAppButton;
typedef struct _AppletAppButtonPrivate AppletAppButtonPrivate;
typedef struct _AppletAppButtonClass AppletAppButtonClass;

struct _AppletAppButton
{
    AppletIconLabelButton parent;
    AppletAppButtonPrivate *priv;
};

struct _AppletAppButtonClass
{
    AppletIconLabelButtonClass parent_class;
};

GType applet_app_button_get_type (void);

AppletAppButton *applet_app_button_new (CdosApp *app, gboolean is_favorite, MetaWorkspace *meta_workspace);

void applet_app_button_update_actor_style (AppletAppButton *self);

#endif //__APPLET_APP_BUTTON_H__
