// Created by zhangtao on 16-4-16.

#ifndef __APPLET_BUTTON_BOX_H__
#define __APPLET_BUTTON_BOX_H__

#include <clutter/clutter.h>
#include <glib-object.h>
#include "applet-window-list-private.h"
#include "applet-window-button.h"
#include "st.h"

#define APPLET_TYPE_BUTTON_BOX (applet_button_box_get_type ())
#define APPLET_BUTTON_BOX(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_BUTTON_BOX, AppletButtonBox))
#define APPLET_IS_BUTTON_BOX(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_BUTTON_BOX))
#define APPLET_BUTTON_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_BUTTON_BOX, AppletButtonBoxClass))
#define APPLET_IS_BUTTON_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_BUTTON_BOX))
#define APPLET_BUTTON_BOX_GET_CLASS(obj) \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_BUTTON_BOX, AppletButtonBoxClass))

typedef struct _AppletButtonBoxClass AppletButtonBoxClass;
typedef struct _AppletButtonBoxPrivate AppletButtonBoxPrivate;

struct _AppletButtonBox
{
    StWidget parent;
    /*private*/
    AppletButtonBoxPrivate *priv;
};

struct _AppletButtonBoxClass
{
    StWidgetClass parent_class;
};

GType applet_button_box_get_type (void);
AppletButtonBox *applet_button_box_new (void);

void applet_button_box_add_button (AppletButtonBox *self, AppletWindowButton *button);
void applet_button_box_clear (AppletButtonBox *self);

void applet_button_box_set_condense (AppletButtonBox *self, gboolean condense);

gboolean applet_button_box_get_condense (AppletButtonBox *self);

GList *applet_button_box_get_buttons (AppletButtonBox *self);

void applet_button_box_set_last_focused_window (AppletButtonBox *self, MetaWindow *window);

#endif //__APPLET_BUTTON_BOX_H__
