#ifndef __CODS_PANEL_LAUNCHERS_H__
#define __CDOS_PANEL_LAUNCHERS_H__

#include <glib.h>
#include <cdos-app.h>

gchar *
applet_panel_launchers_get_dirname (void);

void
applet_panel_launchers_remove_invalid_files (void);

void
applet_panel_launchers_update_files (void);

ClutterActor *
applet_panel_launchers_create_icon_texture (CdosApp *app, int size);

gchar *
applet_panel_launchers_get_display_name (CdosApp *app);

gchar *
applet_panel_launchers_get_uri (const gchar *app_id);

void
applet_panel_launchers_edit_properties (const gchar *app_id);

#endif /*_CDOS_PANEL_LAUNCHERS_H_*/
