#include <inttypes.h>

#include "applet-tree.h"

gint
applet_tree_key_compare (gconstpointer a, gconstpointer b, gpointer user_data)
{
    return (gint)((intptr_t)a - (intptr_t)b);
}

static gint
get_first_node (gpointer key, gpointer value, gpointer *data)
{
    *data = key;
    return TRUE;
}

gpointer
applet_tree_get_first_node (GTree *tree)
{
    gpointer node = NULL;

    g_tree_foreach (tree, (GTraverseFunc)get_first_node, &node);

    return node;
}
