/* -*- mode: C; c-file-style: "gnu"; indent-tabs-mode: nil; -*- */
#ifndef __CDOS_APP_PRIVATE_H__
#define __CDOS_APP_PRIVATE_H__

#include "cdos-app.h"
#include "cdos-app-system.h"

G_BEGIN_DECLS

CdosApp *_cdos_app_new_for_window (MetaWindow *window);

CdosApp *_cdos_app_new (GMenuTreeEntry *entry);

void _cdos_app_set_entry (CdosApp *app, GMenuTreeEntry *entry);

void _cdos_app_handle_startup_sequence (CdosApp *app, MetaStartupSequence *sequence);

void _cdos_app_add_window (CdosApp *app, MetaWindow *window);

void _cdos_app_remove_window (CdosApp *app, MetaWindow *window);

void _cdos_app_do_match (CdosApp *app, GSList *terms, GSList **prefix_results, GSList **substring_results);

G_END_DECLS

#endif /* __CDOS_APP_PRIVATE_H__ */
