#ifndef __CDOS_DEBUG_H__
#define __CDOS_DEBUG_H__

#define cdos_debug(format, ...)                                                                                        \
    printf (                                                                                                           \
        "\033[1mDebug: \033[35m%s %s\033[32m:%d\033[0m " format ".\n", __FILE__, __func__, __LINE__, ##__VA_ARGS__);   \
    cdos_backtrace ()

void cdos_backtrace (void);

#endif // __CDOS_DEBUG_H__
