/* -*- mode: C; c-file-style: "gnu"; indent-tabs-mode: nil; -*- */
#ifndef __CDOS_GTK_EMBED_H__
#define __CDOS_GTK_EMBED_H__

#include <clutter/x11/clutter-x11.h>
#include <clutter/clutter.h>

#include "cdos-embedded-window.h"

#define CDOS_TYPE_GTK_EMBED (cdos_gtk_embed_get_type ())
#define CDOS_GTK_EMBED(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_GTK_EMBED, CdosGtkEmbed))
#define CDOS_GTK_EMBED_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_GTK_EMBED, CdosGtkEmbedClass))
#define CDOS_IS_GTK_EMBED(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_GTK_EMBED))
#define CDOS_IS_GTK_EMBED_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CDOS_TYPE_GTK_EMBED))
#define CDOS_GTK_EMBED_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_GTK_EMBED, CdosGtkEmbedClass))

typedef struct _CdosGtkEmbed CdosGtkEmbed;
typedef struct _CdosGtkEmbedClass CdosGtkEmbedClass;
typedef struct _CdosGtkEmbedPrivate CdosGtkEmbedPrivate;

struct _CdosGtkEmbed
{
    ClutterClone parent;

    CdosGtkEmbedPrivate *priv;
};

struct _CdosGtkEmbedClass
{
    ClutterCloneClass parent_class;
};

GType cdos_gtk_embed_get_type (void) G_GNUC_CONST;

ClutterActor *cdos_gtk_embed_new (CdosEmbeddedWindow *window);

#endif /* __CDOS_GTK_EMBED_H__ */
