/* -*- mode: C; c-file-style: "gnu"; indent-tabs-mode: nil; -*- */

#ifndef __CDOS_TRAY_MANAGER_H__
#define __CDOS_TRAY_MANAGER_H__

#include <clutter/clutter.h>
#include <meta/meta-plugin.h>
#include "st.h"

G_BEGIN_DECLS

#define CDOS_TYPE_TRAY_MANAGER (cdos_tray_manager_get_type ())
G_DECLARE_FINAL_TYPE (CdosTrayManager, cdos_tray_manager, CDOS, TRAY_MANAGER, GObject)

CdosTrayManager *cdos_tray_manager_new (void);
void cdos_tray_manager_manage_screen (CdosTrayManager *manager, StWidget *theme_widget);

void cdos_tray_manager_redisplay (CdosTrayManager *manager);

G_END_DECLS

#endif /* __CDOS_TRAY_MANAGER_H__ */
