#ifndef __CDOS_CONSOLE_KIT_MANAGER_H__
#define __CDOS_CONSOLE_KIT_MANAGER_H__

#include <glib-object.h>
#include <gio/gio.h>

GType cdos_console_kit_manager_get_type (void);

#define CDOS_TYPE_CONSOLE_KIT_MANAGER (cdos_console_kit_manager_get_type ())
#define CDOS_CONSOLE_KIT_MANAGER(obj)       \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_CONSOLE_KIT_MANAGER, CdosConsoleKitManager))
#define CDOS_IS_CONSOLE_KIT_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_CONSOLE_KIT_MANAGER))
#define CDOS_CONSOLE_KIT_MANAGER_CLASS(klass)   \
    (G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_CONSOLE_KIT_MANAGER, CdosConsoleKitManagerClass))

#define CDOS_IS_CONSOLE_KIT_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CDOS_TYPE_CONSOLE_KIT_MANAGER))

#define CDOS_CONSOLE_KIT_MANAGER_GET_CLASS(obj) \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_CONSOLE_KIT_MANAGER, CdosConsoleKitManagerClass))

typedef struct _CdosConsoleKitManager CdosConsoleKitManager;
typedef struct _CdosConsoleKitManagerClass CdosConsoleKitManagerClass;

struct _CdosConsoleKitManagerClass
{
    GObjectClass parent_class;
};

struct _CdosConsoleKitManager
{
    GObject parent_instance;

    gboolean session_active;
    GDBusProxy *proxy;
    GDBusProxy *ck_session;

    guint watch_id;
};

CdosConsoleKitManager *cdos_console_kit_manager_new (void);

#endif
