#ifndef  __ICON_APPLET_H__
#define  __ICON_APPLET_H__


#include <clutter/clutter.h>
#include "cdos-global.h"
#include "cdos-applet.h"
#include "st.h"

#define CDOS_TYPE_ICONAPPLET			(cdos_iconapplet_get_type())
#define CDOS_ICONAPPLET(obj)			(G_TYPE_CHECK_INSTANCE_CAST((obj),CDOS_TYPE_ICONAPPLET, CdosIconApplet))
#define CDOS_IS_ICONAPPLET(obj)			(G_TYPE_CHECK_INSTANCE_TYPE((obj), CDOS_TYPE_ICONAPPLET))
#define CDOS_ICONAPPLET_CLASS(kclass)		(G_TYPE_CHECK_CLASS_CAST((kclass), CDOS_TYPE_ICONAPPLET, CdosIconAppletClass))
#define CDOS_IS_ICONAPPLET_CLASS(kclass)	(G_TYPE_CHECK_CLASS_TYPE((kclass), CDOS_TYPE_IconAPPLET))
#define CDOS_ICONAPPLET_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS((obj), CDOS_TYPE_ICONAPPLET, CdosIconAppletClass))

typedef struct _CdosIconApplet			CdosIconApplet;
typedef struct _CdosIconAppletPrivate		CdosIconAppletPrivate;
typedef struct _CdosIconAppletClass		        CdosIconAppletClass;


struct _CdosIconApplet
{
   CdosApplet  parent_instance;
  
   CdosIconAppletPrivate    *priv;
   StBin                    *applet_icon_box;
};

struct _CdosIconAppletClass
{ 
    CdosAppletClass parent_class;
};

GType cdos_iconapplet_get_type(void) ;

void cdos_iconapplet_set_icon_size (CdosIconApplet    *self,const gint     size);
void cdos_iconapplet_set_icon_name (CdosIconApplet    *self,const gchar     *icon_name);
void cdos_iconapplet_set_icon_path (CdosIconApplet   *self,const char     *icon_path);
void cdos_iconapplet_set_icon_symbolic_path (CdosIconApplet   *self,const char      *icon_path);
StBin *
cdos_iconapplet_get_applet_icon_box (CdosIconApplet *self);
ClutterActor *
cdos_iconapplet_get_applet_icon (CdosIconApplet *self);

void
cdos_iconapplet_set_applet_icon_gion (CdosIconApplet *self, GIcon *gicon);
CdosIconApplet * cdos_iconapplet_new (guint panelHeight);
void cdos_iconapplet_reset_for_systray (CdosIconApplet *self);

void cdos_iconapplet_set_badge (CdosIconApplet *self, const char *badge);

StWidget *cdos_iconapplet_get_badge (CdosIconApplet *self);

#endif  
