/**
 * The MIT License 
 * 
 * Copyright (c) 2019 Illusion Lee
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy 
 * of this software and associated documentation files (the "Software"), to deal 
 * in the Software without restriction, including without limitation the rights 
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
 * copies of the Software, and to permit persons to whom the Software is 
 * furnished to do so, subject to the following conditions: 
 * 
 * The above copyright notice and this permission notice shall be included in all 
 * copies or substantial portions of the Software. 
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE. 
 */

#ifndef __CDOS_LUNAR_H__
#define __CDOS_LUNAR_H__

typedef struct _CdosLunar CdosLunar;

int  cdos_sun_to_lunar (int year, int month, int day,
                        const gchar **lunar_year,
                        const gchar **lunar_month,
                        const gchar **lunar_day,
                        const gchar **festival);

const char *cdos_sun_to_lunar_festival (int year, int month, int day);

const char *cdos_get_ganzhi_of_year (int year, int month, int day);

#endif  /* __APPLET_LUNAR_H__ */
