#ifndef __CDOS_MOUNT_OPERATION_H__
#define __CDOS_MOUNT_OPERATION_H__
#include <glib-object.h>
#include "cdos-modal-dialog.h"
#include "cdos-base-mount-operation.h"

#define LIST_ITEM_ICON_SIZE 48

G_BEGIN_DECLS

#define CDOS_TYPE_MOUNT_OPERATION (cdos_mount_operation_get_type ())

#define CDOS_MOUNT_OPERATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_MOUNT_OPERATION, CdosMountOperation))

#define CDOS_IS_MOUNT_OPERATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_MOUNT_OPERATION))

#define CDOS_MOUNT_OPERATION_CLASS(klass)                                                                              \
    (G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_MOUNT_OPERATION, CdosMountOperationCLASS))

#define CDOS_IS_MOUNT_OPERATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE (klass), CDOS_TYPE_MOUNT_OPERATION)

#define CDOS_MOUNT_OPERATION_GET_CLASS(obj)                                                                            \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_MOUNT_OPERATION, CdosMountOperationCLASS))

typedef struct _CdosMountOperation CdosMountOperation;
typedef struct _CdosMountOperationPrivate CdosMountOperationPrivate;
typedef struct _CdosMountOperationClass CdosMountOperationClass;

struct _CdosMountOperation
{
    CdosBaseMountOperation parent_instance;
    CdosMountOperationPrivate *priv;
};

struct _CdosMountOperationClass
{
    CdosBaseMountOperationClass parent_class;
};

GType cdos_mount_operation_get_type (void) G_GNUC_CONST;

CdosMountOperation *cdos_mount_operation_new (GVolume *source, gboolean reask_password);

#endif
