
#ifndef __CDOS_OVERVIEW_THUMBNAILS_BOX_H__
#define __CDOS_OVERVIEW_THUMBNAILS_BOX_H__

#include <glib-object.h>
#include <meta/boxes.h>

#include "st.h"
#include "cdos-overview-workspace-thumbnail.h"

GType	cdos_overview_thumbnails_box_get_type (void);

#define CDOS_TYPE_OVERVIEW_THUMBNAILS_BOX  (cdos_overview_thumbnails_box_get_type ())
#define CDOS_OVERVIEW_THUMBNAILS_BOX(obj)  (G_TYPE_CHECK_INSTANCE_CAST((obj),CDOS_TYPE_OVERVIEW_THUMBNAILS_BOX,CdosOverviewThumbnailsBox))
#define CDOS_IS_OVERVIEW_THUMBNAILS_BOX(obj)  (G_TYPE_CHECK_INSTANCE_TYPE((obj),CDOS_TYPE_OVERVIEW_THUMBNAILS_BOX))
#define CDOS_OVERVIEW_THUMBNAILS_BOX_CLASS(klass)  (G_TYPE_CHECK_CLASS_CAST ((klass),CDOS_TYPE_OVERVIEW_THUMBNAILS_BOX,CdosOverviewThumbnailsBoxClass))
#define CDOS_IS_OVERVIEW_THUMBNAILS_BOX_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((obj),CDOS_TYPE_OVERVIEW_THUMBNAILS_BOX))
#define CDOS_OVERVIEW_THUMBNAILS_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),CDOS_TYPE_OVERVIEW_THUMBNAILS_BOX,CdosOverviewThumbnailsBoxClass))

typedef struct _CdosOverviewThumbnailsBox CdosOverviewThumbnailsBox;
typedef struct _CdosOverviewThumbnailsBoxClass CdosOverviewThumbnailsBoxClass;

CdosOverviewThumbnailsBox*  cdos_overview_thumbnails_box_new (void);

void cdos_overview_thumbnails_box_set_scale (CdosOverviewThumbnailsBox *self, gfloat scale);

gdouble cdos_overview_thumbnails_box_get_scale (CdosOverviewThumbnailsBox *self);

void cdos_overview_thumbnails_box_remove_selected_workspace (CdosOverviewThumbnailsBox *self);

CdosOverviewWorkspaceThumbnail* cdos_overview_thumbnails_box_get_last_active_workspace (CdosOverviewThumbnailsBox *self);

gboolean cdos_overview_thumbnails_box_key_press_event (CdosOverviewThumbnailsBox *self, ClutterEvent *event);

#endif //__CDOS_OVERVIEW_THUMBNAILS_BOX_H__
