#ifndef __CODS_RUN_DIALOG_H__
#define __CDOS_RUN_DIALOG_H__

#include "st.h"

G_BEGIN_DECLS

#define CDOS_TYPE_RUN_DIALOG  (cdos_run_dialog_get_type())

#define CDOS_RUN_DIALOG(obj)  \
        (G_TYPE_CHECK_INSTANCE_CAST((obj), CDOS_TYPE_RUN_DIALOG, CdosRunDialog))

#define CDOS_IS_RUN_DIALOG(obj) \
        (G_TYPE_CHECK_INSTANCE_TYPE((obj), CDOS_TYPE_RUN_DIALOG))

#define CDOS_RUN_DIALOG_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_CAST((klass), CDOS_TYPE_RUN_DIALOG, CdosRunDialogClass))

#define CDOS_IS_RUN_DIALOG_CLASS(klass) \
        (G_TYPE_CHECK_CLASS_TYPE((klass), CDOS_TYPE_RUN_DIALOG ))

#define CDOS_RUN_DIALOG_GET_CLASS(obj) \
        (G_TYPE_INSTANCE_GET_CLASS((obj), CDOS_TYPE_RUN_DIALOG, CdosRunDialogClass))

typedef struct _CdosRunDialog        CdosRunDialog;
typedef struct _CdosRunDialogPrivate CdosRunDialogPrivate;
typedef struct _CdosRunDialogClass   CdosRunDialogClass;


struct _CdosRunDialog
{
    GObject parent_instance;
        
    CdosRunDialogPrivate *priv;
};

struct _CdosRunDialogClass
{
    GObjectClass parent_class;
};

GType cdos_run_dialog_get_type(void) G_GNUC_CONST;

void 
cdos_run_dialog_open(CdosRunDialog *dialog);

CdosRunDialog *
cdos_run_dialog_get_default(void);

G_END_DECLS

#endif /*_CDOS_RUN_DIALOG_H_*/

