/*
*
* This program is free software; you can redistribute it and/or modify it
* under the terms and conditions of the GNU Lesser General Public License,
* version 2.1, as published by the Free Software Foundation.
* 
* This program is distributed in the hope it will be useful, but WITHOUT ANY
* WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
* FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
* more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __CDOS_SEARCH_PLOCATE_H__
#define __CDOS_SEARCH_PLOCATE_H__

#include <glib-object.h>
#include "cdos-search-provider.h"

G_BEGIN_DECLS

#define CDOS_TYPE_SEARCH_PLOCATE (cdos_search_plocate_get_type ())

G_DECLARE_FINAL_TYPE (CdosSearchPlocate, cdos_search_plocate, CDOS, SEARCH_PLOCATE, CdosSearchProvider)

CdosSearchProvider *cdos_search_plocate_new (void);

#endif // __CDOS_SEARCH_PLOCATE_H__
