#ifndef __CDOS_SN_ITEM_H__
#define __CDOS_SN_ITEM_H__

#include "st.h"

G_BEGIN_DECLS

#define CDOS_TYPE_SN_ITEM (cdos_sn_item_get_type ())
G_DECLARE_FINAL_TYPE (CdosSnItem, cdos_sn_item, CDOS, SN_ITEM, StWidget)

CdosSnItem *cdos_sn_item_new (const gchar *bus_name, const gchar *object_path);

void cdos_sn_item_activate (CdosSnItem *self,
                            int         x,
                            int         y);
void cdos_sn_item_secondary_activate (CdosSnItem *self,
                                      int         x,
                                      int         y);
void cdos_sn_item_scroll (CdosSnItem *self,
                          int         delta,
                          const char *direction);

G_END_DECLS
#endif // __CDOS_INDICATOR_MANAGER_H__
