#ifndef __CODS_SWITCHS_H__
#define __CDOS_SWITCHS_H__

#include "st.h"

G_BEGIN_DECLS

#define CDOS_TYPE_SWITCHS (cdos_switchs_get_type ())

#define CDOS_SWITCHS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_SWITCHS, CdosSwitchs))

#define CDOS_IS_SWITCHS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_SWITCHS))

#define CDOS_SWITCHS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_SWITCHS, CdosSwitchsClass))

#define CDOS_IS_SWITCHS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CDOS_TYPE_SWITCHS))

#define CDOS_SWITCHS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_SWITCHS, CdosSwitchsClass))

typedef struct _CdosSwitchs CdosSwitchs;
typedef struct _CdosSwitchsPrivate CdosSwitchsPrivate;
typedef struct _CdosSwitchsClass CdosSwitchsClass;


struct _CdosSwitchs
{
    StBin parent;
    gboolean state;
};

struct _CdosSwitchsClass
{
    StBinClass parent_class;
};

GType cdos_switchs_get_type (void) G_GNUC_CONST;

CdosSwitchs *cdos_switchs_new (gboolean state);

void cdos_switchs_set_toggle_state (CdosSwitchs *m_switch, gboolean state);

void cdos_switchs_toggle (CdosSwitchs *m_switch);

void cdos_switchs_set_state (CdosSwitchs *m_switch, gboolean status);

gboolean cdos_switchs_get_state (CdosSwitchs *m_switch);

G_END_DECLS

#endif /*_CDOS_SWITCHS_H_*/
