#ifndef __CDOS_SYSTEM_NOTIFICATION_SOURCE_H__
#define __CDOS_SYSTEM_NOTIFICATION_SOURCE_H__

#include "cdos-source.h"

#define CDOS_TYPE_SYSTEM_NOTIFICATION_SOURCE (cdos_system_notification_source_get_type ())
#define CDOS_SYSTEM_NOTIFICATION_SOURCE(obj)                                                                           \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_SYSTEM_NOTIFICATION_SOURCE, CdosSystemNotificationSource))
#define CDOS_IS_SYSTEM_NOTIFICATION_SOURCE(obj)                                                                        \
    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_SYSTEM_NOTIFICATION_SOURCE))
#define CDOS_SYSTEM_NOTIFICATION_SOURCE_CLASS(klass)                                                                   \
    (G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_SYSTEM_NOTIFICATION_SOURCE, CdosSystemNotificationSourceClass))
#define CDOS_IS_SYSTEM_NOTIFICATION_SOURCE_CLASS(klass)                                                                \
    (G_TYPE_CHECK_CLASS_TYPE ((klass), CDOS_TYPE_SYSTEM_NOTIFICATION_SOURCE))
#define CDOS_SYSTEM_NOTIFICATION_SOURCE_GET_CLASS(obj)                                                                 \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_SYSTEM_NOTIFICATION_SOURCE, CdosSystemNotificationSourceClass))

typedef struct _CdosSystemNotificationSource CdosSystemNotificationSource;
typedef struct _CdosSystemNotificationSourceClass CdosSystemNotificationSourceClass;

// CdosSystemNotificationSource类继承自CdosSource类

struct _CdosSystemNotificationSource
{
    CdosSource parent_instance;
};

struct _CdosSystemNotificationSourceClass
{
    CdosSourceClass parent_class;
};

GType cdos_system_notification_source_get_type (void);

CdosSource *cdos_system_notification_source_new (void);

#endif
