#ifndef __CDOS_TEXT_APPLET_H__
#define __CDOS_TEXT_APPLET_H__

#include "cdos-applet.h"

/**
 * Applet that display a text
 * Inherits: CDOS_APPLET (CdosApplet)
 */

GType cdos_text_applet_get_type(void);

#define CDOS_TYPE_TEXT_APPLET	(cdos_text_applet_get_type ())
#define CDOS_TEXT_APPLET(obj)	(G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_TEXT_APPLET, CdosTextApplet))
#define CDOS_IS_TEXT_APPLET(obj)	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_TEXT_APPLET))
#define CDOS_TEXT_APPLET_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_TEXT_APPLET, CdosTextAppletClass))
#define CDOS_IS_TEXT_APPLET_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), CDOS_TYPE_TEXT_APPLET))
#define CDOS_TEXT_APPLET_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_TEXT_APPLET, CdosTextAppletClass))

typedef struct _CdosTextApplet	CdosTextApplet;
typedef struct _CdosTextAppletClass	CdosTextAppletClass;

struct _CdosTextApplet {
  CdosApplet parent_instance;

  /* applet_label (ST_LABEL (StLabel)): Label of the applet */
  StLabel *applet_label;
};

struct _CdosTextAppletClass {
  CdosAppletClass parent_class;
};

void cdos_text_applet_set_applet_label (CdosTextApplet *text_applet, gchar *text);

CdosTextApplet *cdos_text_applet_new (guint orientation, gfloat panel_height, gchar *instance_id);

#endif /* __CDOS_TEXT_APPLET_H__ */
