#ifndef __CDOS_THEME_MANAGER_H__
#define __CDOS_THEME_MANAGER_H__

#include <glib-object.h>
#include <gio/gio.h>

GType cdos_theme_manager_get_type (void);

#define CDOS_TYPE_THEME_MANAGER            (cdos_theme_manager_get_type ())

#define CDOS_THEME_MANAGER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_THEME_MANAGER, CdosThemeManager))

#define CDOS_IS_THEME_MANAGER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_THEME_MANAGER))

#define CDOS_THEME_MANAGER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_THEME_MANAGER, CdosThemeManagerClass))

#define CDOS_IS_THEME_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CDOS_TYPE_THEME_MANAGER))

#define CDOS_THEME_MANAGER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_THEME_MANAGER, CdosThemeManagerClass))

typedef struct _CdosThemeManager CdosThemeManager;
typedef struct _CdosThemeManagerClass CdosThemeManagerClass;

struct _CdosThemeManager
{
    GObject parent_instance;

    gchar *theme_path;
    /*<private>*/
    GSettings *settings;
    gulong changed_id;
};

struct _CdosThemeManagerClass
{
    GObjectClass parent_class;

    void (*theme_set) (CdosThemeManager *self);
};


#endif
/*__CODS_THEME_MANAGER_H__*/
