/**
 * created by lyl
 * Date: 2016-03-10
 */
#ifndef __CDOS_UI_PLUGIN_H__
#define __CDOS_UI_PLUGIN_H__

#include "cdos-global.h"
#include "cdos-wm.h"
#include "cdos-panel.h"
#include "cdos-icon-dispatcher.h"
#include "cdos-systray.h"
#include "cdos-keyboard.h"
#include "common.h"

G_BEGIN_DECLS

ClutterActor *cdos_ui_plugin_get_ui_group (void);
void          cdos_ui_plugin_set_ui_group (ClutterActor *ui_group);

CdosPanel *cdos_ui_plugin_get_panel (void);
StWidget  *cdos_ui_plugin_get_dock (void);

void cdos_ui_plugin_set_panel (CdosPanel *panel);
void cdos_ui_plugin_set_dock  (StWidget *dock);

CdosBaseWM *cdos_ui_plugin_get_cdos_base_wm (void);
void        cdos_ui_plugin_set_cdos_base_wm (CdosBaseWM *cdos_base_wm);

void        cdos_ui_plugin_set_desktop_layout (const gchar *desktop_layout);
const char *cdos_ui_plugin_get_desktop_layout (void);

void      cdos_ui_plugin_set_applet_side (StSide applet_side);
StSide    cdos_ui_plugin_get_applet_side (void);

CdosIconDispatcher *cdos_ui_plugin_get_status_icon_dispatcher (void);
void                cdos_ui_plugin_set_status_icon_dispatcher (CdosIconDispatcher *icon_dispatcher);

CdosSystrayManager *cdos_ui_plugin_get_systray_manager (void);
void                cdos_ui_plugin_set_systray_manager (CdosSystrayManager *systray_manager);

CdosKeyboard *cdos_ui_plugin_get_keyboard (void);
gboolean      cdos_ui_plugin_set_keyboard (CdosKeyboard *keyboard);

G_END_DECLS

#endif /* __CDOS_UI_PLUGIN_H__ */
