//
// Created by zhangtao on 16-3-17.
//

#ifndef __CDOS_UTIL_H__
#define __CDOS_UTIL_H__

#include <glib-object.h>
#include <glib.h>
#include <act/act.h>
#include "st.h"

typedef struct _MatchedUrl MatchedUrl;


GList *cdos_util_find_urls (gchar *urls);

gint cdos_util_get_url_start_pos (MatchedUrl *url);
gint cdos_util_get_url_end_pos (MatchedUrl *url);
gchar *cdos_util_get_url (MatchedUrl *url);

gint cdos_util_spawn (const gchar **arg);

gint cdos_util_spawn_command_line (const gchar *command_line);

gint cdos_util_try_spawn (gchar **arg);

gint cdos_util_try_spawn_command_line (gchar *command_line);

void cdos_util_killall (gchar *process_name);

gchar *cdos_util_fixup_pci_description (const gchar *desc);

gboolean cdos_util_is_laptop (void);

gboolean check_acpi_supports (const gchar *action);

gboolean can_switch_user (void);

const gchar *cdos_get_time_format (void);

ClutterActor*
cdos_get_user_face_icon (ActUser *act_user, gint size);

const gchar *
cdos_user_get_display_name (ActUser *act_user);

gboolean 
cdos_boot_is_live (void);

gboolean
cdos_enable_blur_effect (void);

gboolean   
g_settings_has_key (GSettings *gsettings, const gchar *key);

#endif //__CDOS_UTIL_H__
