#ifndef __CDOS_WINDOW_CLONE_PRIVATE_H__
#define __CDOS_WINDOW_CLONE_PRIVATE_H__

typedef struct _CdosWindowClone
{
    StWidget parent;
    MetaWindowActor *window_actor;
    MetaWindow *meta_window;
    gfloat orig_x;
    gfloat orig_y;
    gfloat orig_width;
    gfloat orig_height;

    ClutterActor *clone;
    ClutterActor *stack_above;

    gboolean selected;

    gulong size_changed_id;
    gulong workspace_changed_id;
    gulong window_actor_destroyed_id;

    ClutterActor *icon;
    StWidget *title;
    StWidget *close_button;
    StSide close_button_side;
    StWidget *icon_title_box;

    guint idle_hide_overlay_id;
    gboolean overlay_shown;
} CdosWindowClone;

#endif// __CDOS_WINDOW_CLONE_PRIVATE_H__
