/*
 */
#ifndef __WINDOW_MANAGER_H__
#define __WINDOW_MANAGER_H__

#include "cdos-start.h"
#include "cdos-wm.h"
#include "cdos-keybindings.h"

#include <meta/window.h>
/*
#define WINDOW_ANIMATION_TIME   250
#define TILE_HUD_ANIMATION_TIME 150
#define DIM_TIME                500
#define DIM_DESATURATION        0.600
#define DIM_BRIGHTNESS          -0.2
#define UNDIM_TIME              250
#define MAP_TIME                250
#define MAXIMIZE_TIME           250
#define MINIMIZE_TIME           150
#define DESTROY_TIME            150
#define SWITCH_TIME             300
*/
/* copied from muffin default plugin */

/* edge zones for tiling/snapping identification
 * copied from muffin/src/core/window-pravate.h

 ________________________
 | 4        0         5 |
 |                      |
 |                      |
 |                      |
 | 2                  3 |
 |                      |
 |                      |
 |                      |
 | 7         1        6 |
 |______________________|

 */
enum zone_edge
{
    ZONE_TOP = 0,
    ZONE_BOTTOM,
    ZONE_LEFT,
    ZONE_RIGHT,
    ZONE_TL,
    ZONE_TR,
    ZONE_BR,
    ZONE_BL,
};


typedef struct _CdosWM CdosWM;

CdosWM *cdos_wm_new (CdosBaseWM *cdos_wm);

void cdos_wm_action_move_workspace_left (void);
void cdos_wm_action_move_workspace_right (void);
void cdos_wm_action_move_workspace_up (void);
void cdos_wm_action_move_workspace_down (void);
void cdos_wm_action_flip_workspace_left (void);
void cdos_wm_action_flip_workspace_right (void);
void show_workspace_OSD (MetaDisplay *display);

#endif
