#ifndef __CDOS_WORKSPACES_VIEW_H__
#define __CDOS_WORKSPACES_VIEW_H__

#include "cdos-global.h"
#include "st.h"

#define CDOS_TYPE_WORKSPACES_VIEW                (cdos_workspaces_view_get_type ())
G_DECLARE_FINAL_TYPE (CdosWorkspacesView, cdos_workspaces_view, CDOS, \
                      WORKSPACES_VIEW, StWidget)

typedef struct _WindowSequenceMap
{
    guint stable_sequence;
    guint index;
} WindowSequenceMap;

CdosWorkspacesView *cdos_workspaces_view_new (void);

gboolean cdos_workspaces_view_key_press_event (CdosWorkspacesView *self,
                                               ClutterKeyEvent *event);

void cdos_workspaces_view_set_avail_size (CdosWorkspacesView *self,
                                          gint avail_height);

#endif /* __CDOS_WORKSPACES_VIEW_H__ */
