#ifndef __APPLET_CALENDAR_CLOCK_H__
#define __APPLET_CALENDAR_CLOCK_H__

#include "st.h"

G_BEGIN_DECLS

#define APPLET_TYPE_CALENDAR_CLOCK                (applet_calendar_clock_get_type ())
#define APPLET_CALENDAR_CLOCK(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_CALENDAR_CLOCK, AppletCalendarClock))
#define APPLET_IS_CALENDAR_CLOCK(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_CALENDAR_CLOCK))
#define APPLET_CALENDAR_CLOCK_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_CALENDAR_CLOCK, AppletCalendarClockClass))
#define APPLET_IS_CALENDAR_CLOCK_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), APPLET_TYPE_CALENDAR_CLOCK))
#define APPLET_CALENDAR_CLOCK_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_CALENDAR_CLOCK, AppletCalendarClockClass))

typedef struct _AppletCalendarClockPrivate AppletCalendarClockPrivate;

/**
 * AppletCalendarClock:
 *
 * AppletCalendarClock结构体的内容是私有的，只能通过公共API访问。
 */
typedef struct _AppletCalendarClock
{
    GObject parent;
    StWidget *actor;
    AppletCalendarClockPrivate *priv;
} AppletCalendarClock;

typedef struct _AppletCalendarClockClass
{
    GObjectClass parent_class;
} AppletCalendarClockClass;

GType applet_calendar_clock_get_type (void) G_GNUC_CONST;

AppletCalendarClock *applet_calendar_clock_new (void);

G_END_DECLS

#endif // __APPLET_CALENDAR_CLOCK_H__
