#ifndef __APPLET_CALENDAR_MAIN_H__
#define __APPLET_CALENDAR_MAIN_H__

#include "st.h"
#include "cdos-applet.h"

G_BEGIN_DECLS

#define APPLET_TYPE_CALENDAR_MAIN                (applet_calendar_main_get_type ())
#define APPLET_CALENDAR_MAIN(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_CALENDAR_MAIN, AppletCalendarMain))
#define APPLET_IS_CALENDAR_MAIN(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_CALENDAR_MAIN))
#define APPLET_CALENDAR_MAIN_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_CALENDAR_MAIN, AppletCalendarMainClass))
#define APPLET_IS_CALENDAR_MAIN_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), APPLET_TYPE_CALENDAR_MAIN))
#define APPLET_CALENDAR_MAIN_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_CALENDAR_MAIN, AppletCalendarMainClass))

typedef struct _AppletCalendarMainPrivate AppletCalendarMainPrivate;

/**
 * AppletCalendarMain:
 *
 * AppletCalendarMain结构体的内容是私有的，只能通过公共API访问。
 */
typedef struct _AppletCalendarMain
{
    CdosApplet parent;
    AppletCalendarMainPrivate *priv;
} AppletCalendarMain;

typedef struct _AppletCalendarMainClass
{
    CdosAppletClass parent_class;
} AppletCalendarMainClass;

GType applet_calendar_main_get_type (void) G_GNUC_CONST;

CdosApplet *applet_calendar_main_new (StSide orientation);

CdosApplet *applets_calendar_main (MetaData *meta, StSide orientation, gfloat panel_height);

G_END_DECLS

#endif // __APPLET_CALENDAR_MAIN_H__
