/** 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 *  
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 **/
//
// Created by zhangtao on 18-1-25.
// Email: zhangtao@cpu-os.ac.cn
//

#ifndef __APPLET_APPLICATIONS_CATEGORY_H__
#define __APPLET_APPLICATIONS_CATEGORY_H__

#include "applet-category-base.h"

#define APPLET_TYPE_APPLICATIONS_CATEGORY (applet_applications_category_get_type())
#define APPLET_APPLICATIONS_CATEGORY(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj),APPLET_TYPE_APPLICATIONS_CATEGORY,AppletApplicationsCategory))
#define APPLET_IS_APPLICATIONS_CATEGORY(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj),APPLET_TYPE_APPLICATIONS_CATEGORY))
#define APPLET_APPLICATIONS_CATEGORY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),APPLET_TYPE_APPLICATIONS_CATEGORY,AppletApplicationsCategoryClass))
#define APPLET_IS_APPLICATIONS_CATEGORY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((obj),APPLET_TYPE_APPLICATIONS_CATEGORY))
#define APPLET_APPLICATIONS_CATEGORY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj),CDOS_TYPE_APPLICATIONS_CATEGORY,AppletApplicationsCategoryClass))

typedef struct _AppletApplicationsCategory AppletApplicationsCategory;
typedef struct _AppletApplicationsCategoryPrivate AppletApplicationsCategoryPrivate;
typedef struct _AppletApplicationsCategoryClass AppletApplicationsCategoryClass;

struct _AppletApplicationsCategory
{
    AppletCategoryBase parent;
    AppletApplicationsCategoryPrivate *priv;
};
struct _AppletApplicationsCategoryClass
{
    AppletCategoryBaseClass parent_class;
};

GType	applet_applications_category_get_type (void);

AppletApplicationsCategory* 
applet_applications_category_new (const gchar *title);

#endif //__APPLET_APPLICATIONS_CATEGORY_H__
