/** 
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 *  
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
 **/
//
// Created by zhangtao on 18-1-25.
// Email: zhangtao@cpu-os.ac.cn
//

#ifndef __APPLET_FAVORITES_CATEGORY_H__
#define __APPLET_FAVORITES_CATEGORY_H__
#include "applet-category-base.h"

#define APPLET_TYPE_FAVORITES_CATEGORY (applet_favorites_category_get_type())
#define APPLET_FAVORITES_CATEGORY(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj),APPLET_TYPE_FAVORITES_CATEGORY,AppletFavoritesCategory))
#define APPLET_IS_FAVORITES_CATEGORY(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj),APPLET_TYPE_FAVORITES_CATEGORY))
#define APPLET_FAVORITES_CATEGORY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),APPLET_TYPE_FAVORITES_CATEGORY,AppletFavoritesCategoryClass))
#define APPLET_IS_FAVORITES_CATEGORY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((obj),APPLET_TYPE_FAVORITES_CATEGORY))
#define APPLET_FAVORITES_CATEGORY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj),CDOS_TYPE_FAVORITES_CATEGORY,AppletFavoritesCategoryClass))

typedef struct _AppletFavoritesCategory AppletFavoritesCategory;
typedef struct _AppletFavoritesCategoryPrivate AppletFavoritesCategoryPrivate;
typedef struct _AppletFavoritesCategoryClass AppletFavoritesCategoryClass;

struct _AppletFavoritesCategory
{
    AppletCategoryBase parent;
    AppletFavoritesCategoryPrivate *priv;
};
struct _AppletFavoritesCategoryClass
{
    AppletCategoryBaseClass parent_class;
};

GType	applet_favorites_category_get_type (void);

AppletFavoritesCategory* 
applet_favorites_category_new (const gchar *name, const gchar *title);

ClutterDropAction *
applet_favorites_category_get_drop_action (AppletFavoritesCategory *self);

#endif //__APPLET_FAVORITES_CATEGORY_H__
