#include "applet-nm-connection.h"

#define APPLET_CONN_TAG "nma-connection"

static void
connection_removed_cb (AppletNMConnection *connection)
{
}

AppletNMConnection *
applet_nm_connection_get_data (NMConnection *connection)
{
    g_return_val_if_fail (NM_IS_CONNECTION (connection), NULL);
    AppletNMConnection *data = g_object_get_data ((GObject *)connection, APPLET_CONN_TAG);
    if (!data)
    {
        data = g_new0 (AppletNMConnection, 1);
        g_object_set_data_full ((GObject *)connection, APPLET_CONN_TAG, data, (GDestroyNotify)connection_removed_cb);
    }
    return data;
}
