#ifndef __APPLET_NM_DEVICE_WIRED_H__
#define __APPLET_NM_DEVICE_WIRED_H__

#include "cdos-global.h"
#include <clutter/clutter.h>
#include "st.h"
#include "applet-nm-device.h"
#include "applet-nm.h"

#define APPLET_NM_DEVICE_WIRED(obj) ((AppletNMDeviceWired *)obj)

typedef struct _AppletNMDeviceWired AppletNMDeviceWired;
typedef struct _AppletNMDeviceWiredClass AppletNMDeviceWiredClass;

struct _AppletNMDeviceWired
{
    AppletNMDevice           parent_instance;
    AppletNMDeviceType       category;
    const gchar             *auto_connection_name;
};

AppletNMDeviceWired *
applet_nm_device_wired_new (AppletNM *applet, NMDevice *device, const GPtrArray *connections);

AppletNMDeviceClass *applet_nm_device_wired_class_new (AppletNM *applet);
// void
// applet_nm_device_wired_create_section (AppletNMDeviceWired *self);

NMConnection *applet_nm_device_wired_create_automatic_connection (AppletNMDevice *self);

void applet_nm_device_wired_set_category (AppletNMDeviceWired *self, AppletNMDeviceType category);

AppletNMDeviceType applet_nm_device_wired_get_category (AppletNMDeviceWired *self);
#endif
