#ifndef __APPLET_NM_MESSAGE_TRAY_SOURCE_H__
#define __APPLET_NM_MESSAGE_TRAY_SOURCE_H__

#include "cdos-global.h"
#include <clutter/clutter.h>
#include "st.h"
#include "cdos-source.h"


GType applet_nm_message_tray_source_get_type (void);

#define APPLET_TYPE_NM_MESSAGE_TRAY_SOURCE		(applet_nm_message_tray_source_get_type ())
#define APPLET_NM_MESSAGE_TRAY_SOURCE(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_NM_MESSAGE_TRAY_SOURCE, AppletNMMessageTraySource))
#define APPLET_IS_NM_MESSAGE_TRAY_SOURCE(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_NM_MESSAGE_TRAY_SOURCE))
#define APPLET_NM_MESSAGE_TRAY_SOURCE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_NM_MESSAGE_TRAY_SOURCE, AppletNMMessageTraySourceClass))
#define APPLET_IS_NM_MESSAGE_TRAY_SOURCE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), APPLET_TYPE_NM_MESSAGE_TRAY_SOURCE))
#define APPLET_NM_MESSAGE_TRAY_SOURCE_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_NM_MESSAGE_TRAY_SOURCE, AppletNMMessageTraySourceClass))

typedef struct _AppletNMMessageTraySource AppletNMMessageTraySource;
typedef struct _AppletNMMessageTraySourceClass AppletNMMessageTraySourceClass;

struct _AppletNMMessageTraySource
{
    CdosSource parent_instance;
    ClutterActor *icon;
};

struct _AppletNMMessageTraySourceClass
{
    CdosSourceClass parent_class;
};


/* NmMessageTraySource 公有函数 */

AppletNMMessageTraySource *applet_nm_message_tray_source_new (void);

#endif
