#ifndef __APPLET_POWER_H__
#define __APPLET_POWER_H__

#include <clutter/clutter.h>
#include "cdos-icon-applet.h"
#include "st.h"

#define APPLET_TYPE_POWER                	              (applet_power_get_type())
#define APPLET_POWER(obj)                     	      (G_TYPE_CHECK_INSTANCE_CAST((obj),APPLET_TYPE_POWER, AppletPower))
#define APPLET_IS_POWER(obj)               	      (G_TYPE_CHECK_INSTANCE_TYPE((obj), APPLET_TYPE_POWER))
#define APPLET_POWER_CLASS(kclass)               	      (G_TYPE_CHECK_CLASS_CAST((kclass), APPLET_TYPE_POWER, AppletPowerClass))
#define APPLET_IS_POWER_CLASS(kclass)    	     	      (G_TYPE_CHECK_CLASS_TYPE((kclass), APPLET_TYPE_POWER))
#define APPLET_POWER_GET_CLASS(obj)             	      (G_TYPE_INSTANCE_GET_CLASS((obj), APPLET_TYPE_POWER, AppletPowerClass))

typedef struct _AppletPower                      AppletPower;
typedef struct _AppletPowerPrivate               AppletPowerPrivate;
typedef struct _AppletPowerClass                 AppletPowerClass;


struct _AppletPower
{
    CdosIconApplet parent_instance;

    AppletPowerPrivate *priv;
};

struct _AppletPowerClass
{
    CdosIconAppletClass parent_class;
};

GType applet_power_get_type (void);

AppletPower *applets_power_main (MetaData *meta, guint orientation, guint panel_height, gchar *instance_id);

#endif
