#ifndef __APPLET_REMOVABLE_DRIVES_H__
#define __APPLET_REMOVABLE_DRIVES_H__

#include "st.h"
#include "cdos-icon-applet.h"

#define APPLET_TYPE_REMOVABLE_DRIVES    \
        (applet_removable_drives_get_type ())

#define APPLET_REMOVABLE_DRIVES(obj)    \
        (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_REMOVABLE_DRIVES, AppletRemovableDrives))

#define APPLET_REMOVABLE_DRIVES_CLASS(klass)    \
        (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_REMOVABLE_DRIVES, AppletRemovableDrivesClass))

#define APPLET_IS_REMOVABLE_DRIVES(obj)    \
        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_REMOVABLE_DRIVES))

#define APPLET_IS_REMOVABLE_DRIVES_CLASS(klass)  \
        (G_TYPE_CHECK_CLASS_TYPE ((klass), APPLET_TYPE_REMOVABLE_DRIVES))

#define APPLET_REMOVABLE_DRIVES_GET_CLASS(obj)  \
        (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_REMOVABLE_DRIVES, AppletRemovableDrivesClass))

typedef struct _AppletRemovableDrives AppletRemovableDrives;
typedef struct _AppletRemovableDrivesClass AppletRemovableDrivesClass;
typedef struct _AppletRemovableDrivesPrivate AppletRemovableDrivesPrivate;

struct _AppletRemovableDrives
{
	CdosIconApplet parent;

  	AppletRemovableDrivesPrivate *priv;
};

struct _AppletRemovableDrivesClass
{
  	CdosIconAppletClass parent_class;
};

GType applet_removable_drives_get_type (void) G_GNUC_CONST;

CdosApplet *
applet_removable_drives_main(MetaData *meta, guint orientation,  guint panel_height);

#endif /* __CDOS_MY_APPLET_H__ */


