// Created by zhangtao on 16-4-16.

#ifndef __APPLET_APP_CONTEXT_MENU_H__
#define __APPLET_APP_CONTEXT_MENU_H__

#include <glib-object.h>
#include <meta/window.h>
#include <clutter/clutter.h>
#include "cdos-popup-menu.h"
#include "applet-window-list-private.h"
#include "cdos-app.h"
#include "st.h"

#define APPLET_TYPE_APP_CONTEXT_MENU (applet_app_context_menu_get_type ())
#define APPLET_APP_CONTEXT_MENU(obj)                                                                                   \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_APP_CONTEXT_MENU, AppletAppContextMenu))
#define APPLET_IS_APP_CONTEXT_MENU(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_APP_CONTEXT_MENU))
#define APPLET_APP_CONTEXT_MENU_CLASS(klass)                                                                           \
    (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_APP_CONTEXT_MENU, AppletAppContextMenuClass))
#define APPLET_IS_APP_CONTEXT_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_APP_CONTEXT_MENU))
#define APPLET_APP_CONTEXT_MENU_GET_CLASS(obj)                                                                         \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_APP_CONTEXT_MENU, AppletAppContextMenuClass))

typedef struct _AppletAppContextMenu AppletAppContextMenu;
typedef struct _AppletAppContextMenuClass AppletAppContextMenuClass;
typedef struct _AppletAppContextMenuPrivate AppletAppContextMenuPrivate;

struct _AppletAppContextMenu
{
    CdosPopupMenu parent;
    AppletAppContextMenuPrivate *priv;
};

struct _AppletAppContextMenuClass
{
    CdosPopupMenuClass parent_class;
};

GType applet_app_context_menu_get_type (void);

AppletAppContextMenu *applet_app_context_menu_new (CdosApp *app, StWidget *source_actor, StSide arrow_side);

void applet_app_context_menu_set_meta_window (AppletAppContextMenu *self, MetaWindow *meta_window);

MetaWindow *applet_app_context_menu_get_meta_window (AppletAppContextMenu *self);

CdosApp *applet_app_context_menu_get_app (AppletAppContextMenu *self);

#endif //__APPLET_APP_CONTEXT_MENU_H__
