// Created by zhangtao on 16-4-16.

#ifndef __APPLET_APP_LIST_H__
#define __APPLET_APP_LIST_H__

#include <glib-object.h>
#include <meta/workspace.h>
#include "cdos-app.h"
#include "st.h"

#define APPLET_TYPE_APP_LIST (applet_app_list_get_type ())
#define APPLET_APP_LIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_APP_LIST, AppletAppList))
#define APPLET_IS_APP_LIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_APP_LIST))
#define APPLET_APP_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_APP_LIST, AppletAppListClass))
#define APPLET_IS_APP_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_APP_LIST))
#define APPLET_APP_LIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_APP_LIST, AppletAppListClass))

typedef struct _AppletAppList AppletAppList;
typedef struct _AppletAppListClass AppletAppListClass;
typedef struct _AppletAppListPrivate AppletAppListPrivate;

struct _AppletAppList
{
    StBoxLayout parent;
    AppletAppListPrivate *priv;
};

struct _AppletAppListClass
{
    StBoxLayoutClass parent_class;
};

GType applet_app_list_get_type (void);

AppletAppList *applet_app_list_new (MetaWorkspace *meta_workspace);

void applet_app_list_set_max_width (AppletAppList *self, gfloat max_width);
ClutterActor *applet_app_list_get_placeholder (AppletAppList *self);
void applet_app_list_set_orientation (AppletAppList *self, StSide orientation);

#endif //__APPLET_APP_LIST_H__
