// Created by zhangtao on 16-4-16.

#ifndef __APPLET_APP_SWITCHER_ITEM_H__
#define __APPLET_APP_SWITCHER_ITEM_H__
#include <glib-object.h>
#include <meta/window.h>
#include "cdos-popup-base-menu-item.h"
#include "cdos-app.h"
#include "st.h"

#define APPLET_TYPE_APP_SWITCHER_ITEM (applet_app_switcher_item_get_type ())
#define APPLET_APP_SWITCHER_ITEM(obj)                                                                                  \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_APP_SWITCHER_ITEM, AppletAppSwitcherItem))
#define APPLET_IS_APP_SWITCHER_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_APP_SWITCHER_ITEM))
#define APPLET_APP_SWITCHER_ITEM_CLASS(klass)                                                                          \
    (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_APP_SWITCHER_ITEM, AppletAppSwitcherItemClass))
#define APPLET_IS_APP_SWITCHER_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_APP_SWITCHER_ITEM))
#define APPLET_APP_SWITCHER_ITEM_GET_CLASS(obj)                                                                        \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_APP_SWITCHER_ITEM, AppletAppSwitcherItemClass))

typedef struct _AppletAppSwitcherItemClass AppletAppSwitcherItemClass;
typedef struct _AppletAppSwitcherItem AppletAppSwitcherItem;
typedef struct _AppletAppSwitcherItemPrivate AppletAppSwitcherItemPrivate;

struct _AppletAppSwitcherItem
{
    CdosPopupBaseMenuItem parent;
    /*private*/
    AppletAppSwitcherItemPrivate *priv;
};

struct _AppletAppSwitcherItemClass
{
    CdosPopupBaseMenuItemClass parent_class;
};

GType applet_app_switcher_item_get_type (void);
AppletAppSwitcherItem *applet_app_switcher_item_new (CdosApp *app, gboolean is_favorite, MetaWindow *meta_window);
void applet_app_switcher_item_set_meta_window (AppletAppSwitcherItem *self, MetaWindow *meta_window);

void applet_app_switcher_item_set_is_favorite (AppletAppSwitcherItem *self, gboolean is_added);

void applet_app_switcher_item_refresh (AppletAppSwitcherItem *self);

MetaWindow *applet_app_switcher_item_get_meta_window (AppletAppSwitcherItem *self);

CdosApp *applet_app_switcher_item_get_app (AppletAppSwitcherItem *self);

StWidget *applet_app_switcher_item_get_box (AppletAppSwitcherItem *self);

void applet_app_switcher_item_show_one (AppletAppSwitcherItem *self, MetaWindow *meta_window);

#endif //__APPLET_APP_SWITCHER_ITEM_H__
