// Created by zhangtao on 16-4-16.

#ifndef __APPLET_APP_THUMBNAIL_HOVER_MENU_H__
#define __APPLET_APP_THUMBNAIL_HOVER_MENU_H__
#include <glib-object.h>
#include <meta/window.h>
#include "applet-window-list-private.h"
#include "cdos-popup-menu.h"
#include "cdos-app.h"
#include "applet-app-switcher-item.h"
#include "applet-app-context-menu.h"
#include "st.h"

#define APPLET_TYPE_APP_THUMBNAIL_HOVER_MENU (applet_app_thumbnail_hover_menu_get_type ())
#define APPLET_APP_THUMBNAIL_HOVER_MENU(obj)                                                                           \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_APP_THUMBNAIL_HOVER_MENU, AppletAppThumbnailHoverMenu))
#define APPLET_IS_APP_THUMBNAIL_HOVER_MENU(obj)                                                                        \
    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_APP_THUMBNAIL_HOVER_MENU))
#define APPLET_APP_THUMBNAIL_HOVER_MENU_CLASS(klass)                                                                   \
    (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_APP_THUMBNAIL_HOVER_MENU, AppletAppThumbnailHoverMenuClass))
#define APPLET_IS_APP_THUMBNAIL_HOVER_MENU_CLASS(klass)                                                                \
    (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_APP_THUMBNAIL_HOVER_MENU))
#define APPLET_APP_THUMBNAIL_HOVER_MENU_GET_CLASS(obj)                                                                 \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_APP_THUMBNAIL_HOVER_MENU, AppletAppThumbnailHoverMenuClass))

typedef struct _AppletAppThumbnailHoverMenu AppletAppThumbnailHoverMenu;
typedef struct _AppletAppThumbnailHoverMenuPrivate AppletAppThumbnailHoverMenuPrivate;
typedef struct _AppletAppThumbnailHoverMenuClass AppletAppThumbnailHoverMenuClass;

struct _AppletAppThumbnailHoverMenu
{
    CdosPopupMenu parent;
    /*private*/
    AppletAppThumbnailHoverMenuPrivate *priv;
};

struct _AppletAppThumbnailHoverMenuClass
{
    CdosPopupMenuClass parent_class;
};

GType applet_app_thumbnail_hover_menu_get_type (void);

AppletAppThumbnailHoverMenu *applet_app_thumbnail_hover_menu_new (CdosApp *app,
                                                                  gboolean is_favorite,
                                                                  ClutterActor *source_actor,
                                                                  StSide arrow_side);
// force open;
void applet_app_thumbnail_hover_menu_open (AppletAppThumbnailHoverMenu *self, gboolean animate);

// force close;
void applet_app_thumbnail_hover_menu_close (AppletAppThumbnailHoverMenu *self, gboolean animate);

void applet_app_thumbnail_hover_menu_set_meta_window (AppletAppThumbnailHoverMenu *self, MetaWindow *meta_window);

void applet_app_thumbnail_hover_menu_hover_close (AppletAppThumbnailHoverMenu *self);

void applet_app_thumbnail_hover_menu_hover_open (AppletAppThumbnailHoverMenu *self);

void applet_app_thumbnail_hover_menu_refresh (AppletAppThumbnailHoverMenu *self);

MetaWindow *applet_app_thumbnail_hover_menu_get_meta_window (AppletAppThumbnailHoverMenu *self);

CdosApp *applet_app_thumbnail_hover_menu_get_app (AppletAppThumbnailHoverMenu *self);

gboolean applet_app_thumbnail_hover_menu_get_is_favorite_app (AppletAppThumbnailHoverMenu *self);

AppletAppSwitcherItem *applet_app_thumbnail_hover_menu_get_app_switcher_item (AppletAppThumbnailHoverMenu *self);

gboolean applet_app_thumbnail_hover_menu_get_should_open (AppletAppThumbnailHoverMenu *self);

void applet_app_thumbnail_hover_menu_set_should_open (AppletAppThumbnailHoverMenu *self, gboolean should_open);

void applet_app_thumbnail_hover_menu_set_context_menu (AppletAppThumbnailHoverMenu *self,
                                                       AppletAppContextMenu *context_menu);

void applet_app_thumbnail_hover_menu_set_is_keep_menu (AppletAppThumbnailHoverMenu *self, gboolean is_keep_menu);

void applet_app_thumbnail_hover_menu_toggle (AppletAppThumbnailHoverMenu *self);

#endif //__APPLET_APP_THUMBNAIL_HOVER_MENU_H__
