// Created by zhangtao on 16-4-16.

#ifndef __APPLET_ICON_LABEL_BUTTON_H__
#define __APPLET_ICON_LABEL_BUTTON_H__
#include <glib-object.h>
#include <meta/window.h>
#include "applet-window-list-private.h"
#include "cdos-app.h"
#include "st.h"

#define APPLET_TYPE_ICON_LABEL_BUTTON (applet_icon_label_button_get_type ())
#define APPLET_ICON_LABEL_BUTTON(obj)                                                                                  \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_ICON_LABEL_BUTTON, AppletIconLabelButton))
#define APPLET_IS_ICON_LABEL_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_ICON_LABEL_BUTTON))
#define APPLET_ICON_LABEL_BUTTON_CLASS(klass)                                                                          \
    (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_ICON_LABEL_BUTTON, AppletIconLabelButtonClass))
#define APPLET_IS_ICON_LABEL_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_ICON_LABEL_BUTTON))
#define APPLET_ICON_LABEL_BUTTON_GET_CLASS(obj)                                                                        \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_ICON_LABEL_BUTTON, AppletIconLabelButtonClass))

typedef struct _AppletIconLabelButtonClass AppletIconLabelButtonClass;
typedef struct _AppletIconLabelButtonPrivate AppletIconLabelButtonPrivate;

struct _AppletIconLabelButton
{
    StWidget parent;
    AppletIconLabelButtonPrivate *priv;
};

struct _AppletIconLabelButtonClass
{
    StWidgetClass parent_class;
};

GType applet_icon_label_button_get_type (void);
CdosApp *applet_icon_label_button_get_app (AppletIconLabelButton *self);
gboolean applet_icon_label_button_is_favorite_app (AppletIconLabelButton *self);

void applet_icon_label_button_show (AppletIconLabelButton *self, gboolean animate);

void applet_icon_label_button_hide (AppletIconLabelButton *self, gboolean animate);

void applet_icon_label_button_show_label (AppletIconLabelButton *self);

void applet_icon_label_button_hide_label (AppletIconLabelButton *self);

MetaWindow *applet_icon_label_button_get_window (AppletIconLabelButton *self);

void applet_icon_label_button_set_window (AppletIconLabelButton *self, MetaWindow *window);

void applet_icon_label_button_set_window_num (AppletIconLabelButton *self, gint window_num);

void applet_icon_label_button_show_window_num (AppletIconLabelButton *self, gboolean visible);

void applet_icon_label_button_enable_tooltip (AppletIconLabelButton *self, gboolean enable);

void applet_icon_label_button_set_tooltip_text (AppletIconLabelButton *self, const gchar *text);

#endif //__APPLET_ICON_LABEL_BUTTON_H__
