// Created by zhangtao on 16-4-16.

#ifndef __APPLET_PINNED_FAVS_H__
#define __APPLET_PINNED_FAVS_H__

#include <glib-object.h>
#include "st.h"
#include "applet-window-list-private.h"

#define APPLET_TYPE_PINNED_FAVS (applet_pinned_favs_get_type ())
#define APPLET_PINNED_FAVS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_PINNED_FAVS, AppletPinnedFavs))
#define APPLET_IS_PINNED_FAVS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_PINNED_FAVS))
#define APPLET_PINNED_FAVS_CLASS(klass) \
    (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_PINNED_FAVS, AppletPinnedFavsClass))
#define APPLET_IS_PINNED_FAVS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_PINNED_FAVS))
#define APPLET_PINNED_FAVS_GET_CLASS(obj) \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_PINNED_FAVS, AppletPinnedFavsClass))

typedef struct _AppletPinnedFavsClass AppletPinnedFavsClass;
typedef struct _AppletPinnedFavsPrivate AppletPinnedFavsPrivate;

struct _AppletPinnedFavs
{
    StWidget parent;
    AppletPinnedFavsPrivate *priv;
};

struct _AppletPinnedFavsClass
{
    StWidgetClass parent_class;
};

GType applet_pinned_favs_get_type (void);

AppletPinnedFavs *applet_pinned_favs_new (void);

void applet_pinned_favs_reload (AppletPinnedFavs *self);

void applet_pinned_favs_unload (AppletPinnedFavs *self);


#endif //__APPLET_PINNED_FAVS_H__
