// Created by zhangtao on 16-4-16.

#ifndef __APPLET_WINDOW_BUTTON_H__
#define __APPLET_WINDOW_BUTTON_H__
#include <glib-object.h>
#include <meta/window.h>
#include <clutter/clutter.h>
#include "cdos-app.h"
#include "applet-icon-label-button.h"
#include "applet-window-list-private.h"

#define APPLET_TYPE_WINDOW_BUTTON (applet_window_button_get_type ())
#define APPLET_WINDOW_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_WINDOW_BUTTON, AppletWindowButton))
#define APPLET_IS_WINDOW_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_WINDOW_BUTTON))
#define APPLET_WINDOW_BUTTON_CLASS(klass)                                                                              \
    (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_WINDOW_BUTTON, AppletWindowButtonClass))
#define APPLET_IS_WINDOW_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_WINDOW_BUTTON))
#define APPLET_WINDOW_BUTTON_GET_CLASS(obj)                                                                            \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_WINDOW_BUTTON, AppletWindowButtonClass))

typedef struct _AppletWindowButtonClass AppletWindowButtonClass;
typedef struct _AppletWindowButtonPrivate AppletWindowButtonPrivate;

struct _AppletWindowButton
{
    AppletIconLabelButton parent;
    AppletWindowButtonPrivate *priv;
};

struct _AppletWindowButtonClass
{
    AppletIconLabelButtonClass parent_class;
};

GType applet_window_button_get_type (void);
AppletWindowButton *applet_window_button_new (CdosApp *app, gboolean is_favorite, MetaWindow *meta_window);

#endif //__APPLET_WINDOW_BUTTON_H__
