// Created by zhangtao on 16-4-16.

#ifndef __APPLET_WINDOW_LIST_PRIVATE_H__
#define __APPLET_WINDOW_LIST_PRIVATE_H__

#define APPLET_BUTTON_BOX_ANIMATION_TIME 0.5
#define APPLET_MAX_BUTTON_WIDTH 150
#define APPLET_THUMBNAIL_ICON_SIZE 16
#define APPLET_OPACITY_OPAQUE 255

#define APPLET_APP_LIST_PAGE_SIZE 10

#define CDOS_WINDOW_LIST_SCHEMA "org.cdos.window-list"
#define CDOS_WINDOW_LIST_GROUP_APPS "group-apps"
#define CDOS_WINDOW_LIST_HOVER_PEEK "enable-hover-peek"

typedef struct _AppletAppList AppletAppList;
typedef struct _AppletAppSwitcherItem AppletAppSwitcherItem;
typedef struct _AppletAppTracker AppletAppTracker;
typedef struct _AppletButtonBox AppletButtonBox;
typedef struct _AppletHoverMenuController AppletHoverMenuController;
typedef struct _AppletIconLabelButton AppletIconLabelButton;
typedef struct _AppletPinnedFavs AppletPinnedFavs;
typedef struct _AppletWindowButton AppletWindowButton;

typedef enum {
    APPLET_TITLE_DISPLAY_NONE = 1,
    APPLET_TITLE_DISPLAY_APP,
    APPLET_TITLE_DISPLAY_TITLE,
    APPLET_TITLE_DISPLAY_FOCUSED
} AppletTitleDisplay;

typedef enum {
    APPLET_NUMBER_DISPLAY_SMART = 1,
    APPLET_NUMBER_DISPLAY_NORMAL,
    APPLET_NUMBER_DISPLAY_NONE,
    APPLET_NUMBER_DISPLAY_ALL
} AppletNumberDisplay;

typedef enum { APPLET_SORT_THUMBS_FOCUSED = 1, APPLET_SORT_THUMBS_OPENED } AppletSortThumbs;

typedef enum {
    APPLET_FAV_TYPE_FAVORITES,
    APPLET_FAV_TYPE_PINNED_APPS,
    APPLET_FAV_TYPE_NONE

} AppletFavType;

#endif //__APPLET_WINDOW_LIST_PRIVATE_H__
