// Created by zhangtao on 16-4-16.

#ifndef __APPLET_WINDOW_LIST_H__
#define __APPLET_WINDOW_LIST_H__

#include <glib-object.h>
#include <meta/workspace.h>
#include "cdos-applet.h"

#define APPLET_TYPE_WINDOW_LIST (applet_window_list_get_type ())
#define APPLET_WINDOW_LIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), APPLET_TYPE_WINDOW_LIST, AppletWindowList))
#define APPLET_IS_WINDOW_LIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), APPLET_TYPE_WINDOW_LIST))
#define APPLET_WINDOW_LIST_CLASS(klass)                                                                                \
    (G_TYPE_CHECK_CLASS_CAST ((klass), APPLET_TYPE_WINDOW_LIST, AppletWindowListClass))
#define APPLET_IS_WINDOW_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), APPLET_TYPE_WINDOW_LIST))
#define APPLET_WINDOW_LIST_GET_CLASS(obj)                                                                              \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLET_TYPE_WINDOW_LIST, AppletWindowListClass))

typedef struct _AppletWindowList AppletWindowList;
typedef struct _AppletWindowListClass AppletWindowListClass;
typedef struct _AppletWindowListPrivate AppletWindowListPrivate;

struct _AppletWindowList
{
    CdosApplet parent;
    AppletWindowListPrivate *priv;
};

struct _AppletWindowListClass
{
    CdosAppletClass parent_class;
};

GType applet_window_list_get_type (void);

AppletWindowList *app_window_list_get_default (void);

gfloat applet_window_list_get_panel_height (void);

// applet入口函数；
CdosApplet *applets_window_list_main (MetaData *metadata, StSide orientation, gfloat panel_height, gchar *instance_id);

GSettings *applet_window_list_get_settings (void);

#endif //__APPLET_WINDOW_LIST_H__
