/* -*- mode: C; c-file-style: "gnu"; indent-tabs-mode: nil; -*- */
#ifndef __CDOS_EMBEDDED_WINDOW_H__
#define __CDOS_EMBEDDED_WINDOW_H__

#include <gtk/gtk.h>
#include <clutter/clutter.h>

#define CDOS_TYPE_EMBEDDED_WINDOW (cdos_embedded_window_get_type ())
#define CDOS_EMBEDDED_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_EMBEDDED_WINDOW, CdosEmbeddedWindow))
#define CDOS_EMBEDDED_WINDOW_CLASS(klass)                                                                              \
    (G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_EMBEDDED_WINDOW, CdosEmbeddedWindowClass))
#define CDOS_IS_EMBEDDED_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_EMBEDDED_WINDOW))
#define CDOS_IS_EMBEDDED_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CDOS_TYPE_EMBEDDED_WINDOW))
#define CDOS_EMBEDDED_WINDOW_GET_CLASS(obj)                                                                            \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_EMBEDDED_WINDOW, CdosEmbeddedWindowClass))

typedef struct _CdosEmbeddedWindow CdosEmbeddedWindow;
typedef struct _CdosEmbeddedWindowClass CdosEmbeddedWindowClass;

typedef struct _CdosEmbeddedWindowPrivate CdosEmbeddedWindowPrivate;

struct _CdosEmbeddedWindow
{
    GtkWindow parent;

    CdosEmbeddedWindowPrivate *priv;
};

struct _CdosEmbeddedWindowClass
{
    GtkWindowClass parent_class;
};

GType cdos_embedded_window_get_type (void) G_GNUC_CONST;
GtkWidget *cdos_embedded_window_new (void);

#endif /* __CDOS_EMBEDDED_WINDOW_H__ */
