/* -*- mode: C; c-file-style: "gnu"; indent-tabs-mode: nil; -*- */
#ifndef __CDOS_TRAY_ICON_H__
#define __CDOS_TRAY_ICON_H__

#include "cdos-gtk-embed.h"

//G_DECLARE_FINAL_TYPE (CdosTrayIcon, cdos_tray_icon, CDOS, TRAY_ICON, CdosGtkEmbed)
/*
G_DECLARE_FINAL_TYPE (CdosTrayIcon, cdos_tray_icon,
                      CDOS, TRAY_ICON, CdosGtkEmbed)
*/

GType cdos_tray_icon_get_type (void);

#define CDOS_TYPE_TRAY_ICON              (cdos_tray_icon_get_type ())
#define CDOS_TRAY_ICON(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), CDOS_TYPE_TRAY_ICON, CdosTrayIcon))
#define CDOS_IS_TRAY_ICON(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CDOS_TYPE_TRAY_ICON))
#define CDOS_TRAY_ICON_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), CDOS_TYPE_TRAY_ICON, CdosTrayIconClass))
#define CDOS_IS_TRAY_ICON_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), CDOS_TYPE_TRAY_ICON))
#define CDOS_TRAY_ICON_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), CDOS_TYPE_TRAY_ICON, CdosTrayIconClass))

typedef struct _CdosTrayIcon CdosTrayIcon;
typedef struct _CdosTrayIconClass CdosTrayIconClass;

typedef struct _CdosTrayIconPrivate CdosTrayIconPrivate;

struct _CdosTrayIcon
{
    CdosGtkEmbed parent;
    CdosTrayIconPrivate *priv;
};

struct _CdosTrayIconClass
{
    CdosGtkEmbedClass parent_class;
};

ClutterActor *cdos_tray_icon_new (CdosEmbeddedWindow *window);

void cdos_tray_icon_click (CdosTrayIcon *icon, ClutterEvent *event);
void cdos_tray_icon_enter (CdosTrayIcon *icon, ClutterEvent *event);
void cdos_tray_icon_leave (CdosTrayIcon *icon, ClutterEvent *event);

#endif /* __CDOS_TRAY_ICON_H__ */
