#include "cdos-start.h"
#include "cdos-confirm-dialog.h"
#include "cdos-debug.h"
#include "common.h"

struct _CdosConfirmDialog
{
    StWidget parent;

    GCallback callback;
    gpointer user_data;

    ClutterActor *title_label;
    ClutterActor *body_label;
    ClutterActor *close_button;
    ClutterActor *icon;

    ClutterActor *button_box;
    ClutterActor *cancel;
    ClutterActor *ok;

    ClutterActor *top;
    ClutterActor *center;
    ClutterActor *bottom;

    guint spacing;
};

G_DEFINE_TYPE(CdosConfirmDialog, cdos_confirm_dialog, ST_TYPE_WIDGET)

static void
cdos_confirm_dialog_init (CdosConfirmDialog *self)
{

}

static void
cdos_confirm_dialog_class_init (CdosConfirmDialogClass *klass)
{
}

CdosConfirmDialog *
cdos_confirm_dialog_new (const char *title, const char *body)
{
    CdosConfirmDialog *self = g_object_new (CDOS_TYPE_CONFIRM_DIALOG,
                                            "style-class", "confirm-dialog",
                                            NULL);

    return self;
}

