/*
 * Created by zhangtao on 16-7-5.
 */

#ifndef __CDOS_KEYBOARD_H__
#define __CDOS_KEYBOARD_H__

#include "st.h"

#define CDOS_TYPE_KEYBOARD (cdos_keyboard_get_type())

G_DECLARE_FINAL_TYPE (CdosKeyboard, cdos_keyboard, CDOS, KEYBOARD, StBoxLayout)

CdosKeyboard*  cdos_keyboard_new (void);

void cdos_keyboard_show (CdosKeyboard *self);

void cdos_keyboard_start (CdosKeyboard *self);

void cdos_keyboard_hide (CdosKeyboard *self);

const gchar* cdos_keyboard_get_icon_name (CdosKeyboard *self);

const gchar* cdos_keyboard_get_name (CdosKeyboard *self);

gboolean cdos_keyboard_is_showing (CdosKeyboard *self);

#endif //__CDOS_KEYBOARD_H__
