/*
 * Author: leit
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __CDOS_MONITOR_CONSTRAINT_H__
#define __CDOS_MONITOR_SWITCHER_H__

#include <clutter/clutter.h>

#define CDOS_TYPE_MONITOR_CONSTRAINT (cdos_monitor_constraint_get_type ())

G_DECLARE_FINAL_TYPE (CdosMonitorConstraint, cdos_monitor_constraint, CDOS, MONITOR_CONSTRAINT, ClutterConstraint)

ClutterConstraint *cdos_monitor_constraint_new (gint monitor_index, gboolean on_monitor_center);

void cdos_monitor_constraint_set_index (CdosMonitorConstraint *self,
                                        gint index);

void cdos_monitor_constraint_set_on_center (CdosMonitorConstraint *self,
                                            gboolean on_center);

#endif // __CDOS_MONITOR_CONSTRAINT_H__
