#ifndef __CDOS_PANEL_ITEM_TOOLTIP_TOOLTIP_H__
#define __CDOS_PANEL_ITEM_TOOLTIP_TOOLTIP_H__

#include "cdos-tooltip.h"

GType cdos_panel_item_tooltip_get_type (void);

#define CDOS_TYPE_PANEL_ITEM_TOOLTIP (cdos_panel_item_tooltip_get_type())
#define CDOS_PANEL_ITEM_TOOLTIP(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj),CDOS_TYPE_PANEL_ITEM_TOOLTIP,CdosPanelItemTooltip))
#define CDOS_IS_PANEL_ITEM_TOOLTIP(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj),CDOS_TYPE_PANEL_ITEM_TOOLTIP))
#define CDOS_PANEL_ITEM_TOOLTIP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),CDOS_TYPE_PANEL_ITEM_TOOLTIP,CdosPanelItemTooltipClass))
#define CDOS_IS_PANEL_ITEM_TOOLTIP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((obj),CDOS_TYPE_PANEL_ITEM_TOOLTIP))
#define CDOS_PANEL_ITEM_TOOLTIP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj),CDOS_TYPE_PANEL_ITEM_TOOLTIP,CdosPanelItemTooltipClass))


typedef struct _CdosPanelItemTooltip CdosPanelItemTooltip;
typedef struct _CdosPanelItemTooltipClass CdosPanelItemTooltipClass;

struct _CdosPanelItemTooltip
{
    CdosTooltip parent;
    gint orientation;
};

struct _CdosPanelItemTooltipClass
{
    CdosTooltipClass parent_class;
};


CdosPanelItemTooltip *cdos_panel_item_tooltip_new (ClutterActor *item, const gchar *init_title, StSide orientation);
#endif //__CDOS_PANEL_ITEM_TOOLTIP_TOOLTIP_H__
