#ifndef  __MY_APPLET_H__
#define  __MY_APPLET_H__


#include <clutter/clutter.h>
#include "cdos-global.h"
#include "cdos-applet.h"
#include "cdos-icon-applet.h"
#include "st.h"

#define CDOS_TYPE_SHOWDESKTOP		        	(cdos_showdesktop_get_type())
#define CDOS_SHOWDESKTOP(obj)			        (G_TYPE_CHECK_INSTANCE_CAST((obj),CDOS_TYPE_SHOWDESKTOP, CdosShowdesktop))
#define CDOS_IS_SHOWDESKTOP(obj)			(G_TYPE_CHECK_INSTANCE_TYPE((obj), CDOS_TYPE_SHOWDESKTOP))
#define CDOS_SHOWDESKTOP_CLASS(kclass)		        (G_TYPE_CHECK_CLASS_CAST((kclass), CDOS_TYPE_SHOWDESKTOP, CdosShowdesktopClass))
#define CDOS_IS_SHOWDESKTOP_CLASS(kclass)	   	(G_TYPE_CHECK_CLASS_TYPE((kclass), CDOS_TYPE_SHOWDESKTOP))
#define CDOS_SHOWDESKTOP_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS((obj), CDOS_TYPE_SHOWDESKTOP, CdosShowdesktopClass))

typedef struct _CdosShowdesktop			CdosShowdesktop;
typedef struct _CdosShowdesktopPrivate			CdosShowdesktopPrivate;
typedef struct _CdosShowdesktopClass		        CdosShowdesktopClass;

GType cdos_showdesktop_get_type(void) G_GNUC_CONST;

struct _CdosShowdesktop
{
   CdosIconApplet  parent_instance;
  
   CdosShowdesktopPrivate *priv;
};

struct _CdosShowdesktopClass
{ 
    CdosIconAppletClass parent_class;

};

CdosApplet * cdos_showdesktop_main(MetaData *meta,guint orientation, guint panel_height);

#endif  
